VisualEditor: CE CSS munging issue with specific (highly used) hewiki template
Closed, ResolvedPublic

Description

Reproduce:

  1. Go to this page: https://he.wikipedia.org/wiki/%D7%A9%D7%9C%D7%9E%D7%94_%D7%A4%D7%99%D7%9C%D7%91%D7%A8 (Image is floating on the left)
  1. Edit the page. The image is now stretched all across the content area, pushing the text down.

This is a 'no picture existing' template. In the Hebrew wiki: https://he.wikipedia.org/wiki/%D7%AA%D7%91%D7%A0%D7%99%D7%AA:%D7%90%D7%99%D7%9F_%D7%AA%D7%9E%D7%95%D7%A0%D7%94

It is probably an issue of the template code, but since it's used very often, it would be great if someone can help find the problem in this so we can fix the template itself.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50395

bzimport set Reference to bz50910.
Mooeypoo created this task.Via LegacyJul 7 2013, 10:22 PM
Jdforrester-WMF added a comment.Via ConduitJan 5 2014, 10:57 AM

Was this fixed by the fix for bug 53436?

Mooeypoo added a comment.Via ConduitJan 5 2014, 5:11 PM

Ah! Partially. The image is no longer spread wide, but it floats the wrong way - it should float to the left, but it floats to the right inside VE.

Mooeypoo added a comment.Via ConduitJan 5 2014, 5:38 PM

I found the remaining issue - since the page (and transclusion div) is set to dir='rtl' the "mw-halign-left" class float:left turned to float:right.

This is quite odd, since these classes have /*@noflip*/ on them.

gerritbot added a comment.Via ConduitJan 6 2014, 7:02 AM

Change 105640 had a related patch set uploaded by Mooeypoo:
Force CSSJanus to not flip image alignment classes

https://gerrit.wikimedia.org/r/105640

gerritbot added a comment.Via ConduitJan 6 2014, 7:45 AM

Change 105639 had a related patch set uploaded by Catrope:
Support attribute selectors in CSSJanus

https://gerrit.wikimedia.org/r/105639

gerritbot added a comment.Via ConduitJan 7 2014, 2:45 AM

Change 105640 merged by jenkins-bot:
Force CSSJanus to not flip image alignment classes

https://gerrit.wikimedia.org/r/105640

gerritbot added a comment.Via ConduitFeb 22 2014, 4:56 PM

Change 105639 merged by jenkins-bot:
CSSJanus: Account for attribute selectors in brace lookahead

https://gerrit.wikimedia.org/r/105639

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.